baidu-sitemap插件出现 Illegal string offset lc_is_update_sitemap_when_post怎么办

目前已经有很多wordpress模板已经不在支持php 5.3以下的版本的,而且多数也开发不支持不同PHP版本的wordpress模板。而且目前wordpress最新版本对于php 5.3以上的版本能够更好的支持。老耿博客也安装了baidu-sitemap插件,环境配置PHP 5.3版本,目前没有出现什么问题。但是baidu-sitemap插件几乎没有更新过,目前还是1.0版本!对于更高级的PHP5.4版本还不兼容,所以在发布或更新文章,出现PHP Warning:Illegal string offset ‘ lc_is_update_sitemap_when_post ’ in ……/wp-content/plugins/baidu-sitemap-generator/baidu_sitemap.php on line 406错误。

目前可以通过修改代码方式解决:

打开 baidu-sitemap.php 文件中的第 406 行:

把下面的代码:

if($get_baidu_sitemap_options['lc_is_update_sitemap_when_post'] == '1'){
wp_clear_scheduled_hook('do_baidu_sitemap_by_post');
wp_clear_scheduled_hook('do_this_auto_daily');
wp_schedule_single_event(time()+10, 'do_baidu_sitemap_by_post');
}

改为:

//if($get_baidu_sitemap_options[' lc_is_update_sitemap_when_post '] =='1'){
wp_clear_scheduled_hook('do_baidu_sitemap_by_post');
wp_clear_scheduled_hook('do_this_auto_daily');
wp_schedule_single_event(time()+10,'do_baidu_sitemap_by_post');
//}

即可。

还没回应

发表评论

电子邮件地址不会被公开。 必填项已用*标注